SD_JOURNAL_GET_CURSOR(3)

NAME
sd_journal_get_cursor, sd_journal_test_cursor - Get cursor string for or test cursor string against the current journal entry

SYNOPSIS

#include <elogind/sd-journal.h>

int sd_journal_get_cursor(sd_journal *j, char **cursor);

int sd_journal_test_cursor(sd_journal *j, const char *cursor);

DESCRIPTION

As elogind can not open any systemd journals, the functions sd_journal_get_cursor() and sd_journal_test_cursor() do nothing.

RETURN VALUE

sd_journal_get_cursor() returns -ENOSYS and sd_journal_test_cursor() returns 0.

SEE ALSO

elogind(8), sd_journal_open(3), sd_journal_seek_cursor(3)